import 'package:flutter/material.dart';
import 'package:hexcolor/hexcolor.dart';

import '../../../config/size_config.dart';
import '../../shared/app_texts_widget.dart';
import '../../shared/rounded_container_widget.dart';


/* 
 *@author: Elham Rababah 
 *@Date:13/4/2020  
 *@param: 
 *@return: ProfileStatusInfoWidget
 *@desc:   Profile Status Info Widget
 */
class ProfileStatusInfoWidget extends StatelessWidget {
  const ProfileStatusInfoWidget({
    Key key,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return RoundedContainer(
      child: ListView(
        children: <Widget>[
          Padding(
            padding: const EdgeInsets.symmetric(horizontal: 14),
            child: Column(
              crossAxisAlignment: CrossAxisAlignment.start,
              children: <Widget>[
                AppText(
                  'Insurance approval',
                  fontSize: SizeConfig.textMultiplier * 3,
                  fontWeight: FontWeight.w700,
                  color: Hexcolor('#58434F'),
                ),
                AppText(
                  'Approved',
                  color: Hexcolor('#707070'),
                  fontSize: SizeConfig.textMultiplier * 2.5,
                )
              ],
            ),
          ),
        ],
      ),
      width: SizeConfig.screenWidth * 0.70,
      height: SizeConfig.screenHeight * 0.12,
    );
  }
}
